Subject: Re: [PATCH 1/5 v2] dma-mapping: add generic dma_get_page_shift API

From: Nishanth Aravamudan <[email-masked]>
Date: Mon, 12 Oct 2015 09:04:52 -0700

On 06.10.2015 [02:51:36 -0700], Christoph Hellwig wrote:
> Do we need a function here or can we just have a IOMMU_PAGE_SHIFT define
> with an #ifndef in common code?

I suppose we could do that -- I wasn't sure if the macro would be
palatable.

> Also not all architectures use dma-mapping-common.h yet, so you either
> need to update all of those as well, or just add the #ifndef directly
> to linux/dma-mapping.h.

Ok, I will take a look at that and spin up a v3.

Thanks for the feedback!

-Nish